Update the principal profile
curl --request PUT \
--url https://api.example.com/v2/databases/{database}/me \
--header 'Content-Type: application/json' \
--cookie nile-auth.session-token= \
--data '
{
"name": "Jane Doe",
"familyName": "Doe",
"givenName": "Jane",
"picture": "https://example.com/avatar.jpg",
"emailVerified": true
}
'import requests
url = "https://api.example.com/v2/databases/{database}/me"
payload = {
"name": "Jane Doe",
"familyName": "Doe",
"givenName": "Jane",
"picture": "https://example.com/avatar.jpg",
"emailVerified": True
}
headers = {
"cookie": "nile-auth.session-token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'nile-auth.session-token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Jane Doe',
familyName: 'Doe',
givenName: 'Jane',
picture: 'https://example.com/avatar.jpg',
emailVerified: true
})
};
fetch('https://api.example.com/v2/databases/{database}/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"tenants": [
"<string>"
],
"email": "<string>",
"name": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"picture": "<string>",
"emailVerified": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}"<string>"This response has no body data.This response has no body data.users
Update the principal profile
Update the principal associated with the provided session
PUT
/
v2
/
databases
/
{database}
/
me
Update the principal profile
Authorizations
Session token stored in a cookie after user signs in, prefixed with __Secure if on https
Path Parameters
Body
application/json
Was this page helpful?
⌘I